---
import { getLangFromUrl } from "../i18n/utils";
import { SEO } from "astro-seo";
const lang = getLangFromUrl(Astro.url);
const { type, content } = Astro.props;
---

<html lang={lang}>
  <head>
    <meta charset="utf-8" />
    <link rel="icon" type="image/svg+xml" href="/favicon.png" />
    <meta name="viewport" content="width=device-width" />
    <meta name="generator" content={Astro.generator} />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link rel="sitemap" href="/sitemap-index.xml" />
    <link
      href="https://fonts.googleapis.com/css2?family=League+Spartan:wght@400..800&family=Manrope:wght@200..800&display=swap"
      rel="stylesheet"
    />
    <link
      rel="alternate"
      type="application/rss+xml"
      title="OwNi.dev - Web Developer"
      href={new URL("rss/feed.xml", Astro.site)}
    />
    <script
      is:inline
      defer
      src="https://umami.owni.dev/script.js"
      data-website-id="db3b4c79-eaea-4fdb-bb42-59d78b8acb70"></script>
    {
      type == "article" ? (
        <Fragment>
          <meta property="og:type" content="article" />
          <meta property="og:article:tag" content={content.tags} />
          <meta
            property="og:article:published_time"
            content={content.published_at}
          />
          <meta property="og:article:author" content="Owen Nitharum" />
          <meta property="og:image:width" content="300" />
          <SEO
            title="Freelance Web Developer"
            description="Short coding tutorials and tips for everything ReactJS, Phoenix and THREEjs from a freelance developer."
            openGraph={{
              basic: {
                title: `OwNi.dev - ${content.title}`,
                type: "article",
                image: content.feature_image.original,
              },
              optional: {
                description:
                  "Short coding tutorials and tips for everything ReactJS, Phoenix and THREEjs from a freelance developer.",
              },
            }}
            twitter={{
              creator: "@casyus",
            }}
            extend={{
              // extending the default link tags
              link: [{ rel: "icon", href: "/favicon.png" }],
              // extending the default meta tags
              meta: [
                {
                  name: "twitter:image",
                  content:
                    "https://ownidev.syd1.digitaloceanspaces.com/uploads/business_logo.png",
                },
                { name: "twitter:title", content: content.title },
                {
                  name: "twitter:description",
                  content:
                    "Short coding tutorials and tips for everything ReactJS, Phoenix and THREEjs from a freelance developer.",
                },
              ],
            }}
          />
        </Fragment>
      ) : null
    }
    {
      type == undefined ? (
        <SEO
          title="Freelance Web developer"
	  description="Freelance fullstack developer specialising in Javascript, Elixir and THREE.js. Bring your online presence to life with highly interactive UIs and colorful 3D.",
	  openGraph={{
            basic: {
              title: `OwNi.dev - ${lang == "en" ? "Web Developer" : "Développeur Web"}`,
              type: "website",
              image:
                "https://ownidev.syd1.digitaloceanspaces.com/uploads/business_logo.png",
            },
            optional: {
              description:
                "Freelance fullstack developer specialising in Javascript, Elixir and THREE.js. Bring your online presence to life with highly interactive UIs and colorful 3D.",
            },
          }}
          twitter={{
            creator: "@casyus",
          }}
          extend={{
            // extending the default link tags
            link: [{ rel: "icon", href: "/favicon.png" }],
            // extending the default meta tags
            meta: [
              {
                name: "twitter:image",
                content:
                  "https://ownidev.syd1.digitaloceanspaces.com/uploads/business_logo.png",
              },
              { name: "twitter:title", content: "OwNi.Dev" },
              {
                name: "twitter:description",
                content: "Freelance fullstack developer specialising in Javascript, Elixir and THREE.js. Bring your online presence to life with highly interactive UIs and colorful 3D.",
              },
            ],
          }}
        />
      ) : null
    }
    {
      type == "list" ? (
        <SEO
          title="OwNi.Dev Blog list"
          description="Browse my blog posts here. I publish at least every month on topics such as React, Elixir, Phoenix and other frontend or backend projects I find interesting."
          openGraph={{
            basic: {
              title: `OwNi.dev - Blog list`,
              type: "website",
              image:
                "https://ownidev.syd1.digitaloceanspaces.com/uploads/business_logo.png",
            },
            optional: {
              description: "Tips, tutorials and blog posts",
            },
          }}
          twitter={{
            creator: "@casyus",
          }}
          extend={{
            // extending the default link tags
            link: [{ rel: "icon", href: "/favicon.png" }],
            // extending the default meta tags
            meta: [
              {
                name: "twitter:image",
                content:
                  "https://ownidev.syd1.digitaloceanspaces.com/uploads/business_logo.png",
              },
              { name: "twitter:title", content: "OwNi.Dev" },
              {
                name: "twitter:description",
                content:
                  "Freelance web developer - Helping small businesses establish an online presence",
              },
            ],
          }}
        />
      ) : null
    }
  </head>
  <body>
    <main id="root">
      <slot />
    </main>
  </body>
</html>
